Skip to main content
GET
/
api
/
v1
/
Account
/
{auth_id}
/
Application
List All Applications
curl --request GET \
  --url https://api.vobiz.ai/api/v1/Account/{auth_id}/Application/ \
  --header 'X-Auth-ID: <api-key>' \
  --header 'X-Auth-Token: <api-key>'
{
  "api_id": "aabbccdd-1234-5678-90ab-cdef12345678",
  "meta": {
    "limit": 20,
    "next": "/v1/Account/MA_XXXXXXXX/Application/?limit=20&offset=20",
    "offset": 0,
    "previous": null,
    "total_count": 23
  },
  "objects": [
    {
      "answer_method": "POST",
      "answer_url": "https://example.com/answer",
      "app_id": "12345678901234567",
      "app_name": "My Voice App",
      "application_type": "XML",
      "created_at": "2026-04-02 12:11:19.740666+00:00",
      "default_app": true,
      "default_endpoint_app": false,
      "enabled": true,
      "fallback_answer_url": null,
      "fallback_method": "POST",
      "hangup_method": "POST",
      "hangup_url": "https://example.com/hangup",
      "log_incoming_message": true,
      "message_method": "POST",
      "message_url": null,
      "public_uri": false,
      "resource_uri": "/v1/Account/MA_XXXXXXXX/Application/12345678901234567/",
      "sip_transfer_method": "POST",
      "sip_transfer_url": null,
      "sip_uri": "sip:12345678901234567@app.vobiz.ai",
      "sub_account": null,
      "updated_at": "2026-04-02 12:11:19.740666+00:00"
    },
    {
      "answer_method": "POST",
      "answer_url": "https://example.com/answer",
      "app_id": "11223344556677889",
      "app_name": "Acme Voice Application",
      "application_type": "XML",
      "created_at": "2026-03-25 09:33:08.869648+00:00",
      "default_app": false,
      "default_endpoint_app": false,
      "enabled": true,
      "fallback_answer_url": null,
      "fallback_method": "POST",
      "hangup_method": "POST",
      "hangup_url": "https://example.com/hangup",
      "log_incoming_message": true,
      "message_method": "POST",
      "message_url": null,
      "public_uri": false,
      "resource_uri": "/v1/Account/MA_XXXXXXXX/Application/11223344556677889/",
      "sip_transfer_method": "POST",
      "sip_transfer_url": null,
      "sip_uri": "sip:11223344556677889@app.vobiz.ai",
      "sub_account": null,
      "updated_at": "2026-03-25 09:33:08.869648+00:00"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vobiz.ai/llms.txt

Use this file to discover all available pages before exploring further.

GET https://api.vobiz.ai/api/v1/Account/{auth_id}/Application/
Returns details of all applications created under your Vobiz account.
Authentication required:
  • X-Auth-ID - Your account Auth ID
  • X-Auth-Token - Your account Auth Token
  • Content-Type: application/json

Parameters

FieldTypeRequiredDescription
limitintegerNoNumber of results per page (max 100). Defaults to 20.
offsetintegerNoNumber of results to skip. Defaults to 0.

Response Example

Success Response (200 OK)
{
  "api_id": "aabbccdd-1234-5678-90ab-cdef12345678",
  "meta": {
    "limit": 20,
    "next": "/v1/Account/MA_XXXXXXXX/Application/?limit=20&offset=20",
    "offset": 0,
    "previous": null,
    "total_count": 23
  },
  "objects": [
    {
      "answer_method": "GET",
      "answer_url": "https://example.com/answer",
      "app_id": "12345678901234567",
      "app_name": "My Voice App",
      "application_type": "XML",
      "created_at": "2026-04-02 12:11:19.740666+00:00",
      "default_app": true,
      "default_endpoint_app": false,
      "enabled": true,
      "fallback_answer_url": null,
      "fallback_method": "POST",
      "hangup_method": "POST",
      "hangup_url": "https://example.com/answer",
      "log_incoming_message": true,
      "message_method": "POST",
      "message_url": null,
      "public_uri": false,
      "resource_uri": "/v1/Account/MA_XXXXXXXX/Application/12345678901234567/",
      "sip_transfer_method": "POST",
      "sip_transfer_url": null,
      "sip_uri": "sip:12345678901234567@app.vobiz.ai",
      "sub_account": null,
      "updated_at": "2026-04-02 12:11:19.740666+00:00"
    },
    {
      "answer_method": "POST",
      "answer_url": "https://yourapp.com/ivr/answer",
      "app_id": "23456789012345678",
      "app_name": "Acme Voice Application",
      "application_type": "XML",
      "created_at": "2026-04-17 10:28:50.162012+00:00",
      "default_app": false,
      "default_endpoint_app": false,
      "enabled": true,
      "fallback_answer_url": null,
      "fallback_method": "POST",
      "hangup_method": "POST",
      "hangup_url": "https://yourapp.com/ivr/hangup",
      "log_incoming_message": true,
      "message_method": "POST",
      "message_url": null,
      "public_uri": false,
      "resource_uri": "/v1/Account/MA_XXXXXXXX/Application/23456789012345678/",
      "sip_transfer_method": "POST",
      "sip_transfer_url": null,
      "sip_uri": "sip:23456789012345678@app.vobiz.ai",
      "sub_account": null,
      "updated_at": "2026-04-17 10:28:50.162012+00:00"
    }
  ]
}

cURL Example

cURL
curl -X GET "https://api.vobiz.ai/api/v1/Account/{auth_id}/Application/?limit=20&offset=0" \
  -H "X-Auth-ID: YOUR_AUTH_ID" \
  -H "X-Auth-Token: YOUR_AUTH_TOKEN"

Authorizations

X-Auth-ID
string
header
required

Your Vobiz account Auth ID

X-Auth-Token
string
header
required

Your Vobiz account Auth Token

Path Parameters

auth_id
string
required

Your account Auth ID

Example:

"MA_XXXXXX"

Query Parameters

limit
integer
default:20
Required range: x <= 100
offset
integer
default:0

Response

List of applications

api_id
string
required
meta
object
required
objects
object[]
required